v1.0.0
OpenAPI 3.1.0
Get a translation in a one-time send test group
Client Libraries
US region
Returns information about a specific language variant of a one-time send (referred to as a "newsletter" in our APIs) in an A/B test group. You can retrieve test_group_ids from List a one-time send's A/B test groups.
The identifier of a one-time send.
The ID of the A/B test group.
A language tag of a language variant. If you don't provide a language (an empty string), we'll use your default language. If the language variant does not exist, we'll return an error.
The language does not exist.
The one-time send or variant does not exist.
curl 'https://api.customer.io/v1/newsletters/1/test_group/{test_group_id}/language/{language}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"content": {
"bcc": "string",
"body": "<strong>Hello from the API</strong>",
"body_amp": "string",
"cc": "string",
"deduplicate_id": "15:1492548073",
"fake_bcc": true,
"from": "sentFrom@example.com",
"from_id": 1,
"headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]",
"id": 1,
"language": "fr",
"layout": "<html><body>{{ content }}</body></html>",
"name": "one-time send variant A",
"newsletter_id": 10,
"preheader_text": "string",
"preprocessor": "premailer",
"recipient": "{{customer.email}}",
"reply_to": "replyto@example.com",
"reply_to_id": 38,
"subject": "Did you get that thing I sent you?",
"type": "email"
}
}Returns one-time send content for a language variant in a test group.